## pyxplot 0.7.1+1

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # Copyright (C) 2006-7 Dominic Ford <coders@pyxplot.org.uk>
 #
-# $Id: Makefile 14 2007-02-23 13:49:14Z dcf21 $
+# $Id: Makefile 192 2008-04-19 13:53:32Z dcf21 $
 #
 # PyXPlot is free software; you can redistribute it and/or modify it under the
 # terms of the GNU General Public License as published by the Free Software
@@ -23,13 +23,13 @@
 PYXPLOT = `which pyxplot`
 EXAMPLEDIR = examples
 EPSDIR = $(EXAMPLEDIR)/eps
-EPSFILES = $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_axislab.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_legends.eps $(EPSDIR)/ex_seminar.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_funcsplice1.eps $(EPSDIR)/ex_funcsplice2.eps
+EPSFILES = $(EPSDIR)/ex_cover.eps $(EPSDIR)/ex_axislab.eps $(EPSDIR)/ex_fitting.eps $(EPSDIR)/ex_multiaxes.eps $(EPSDIR)/ex_axistics.eps $(EPSDIR)/ex_legends.eps $(EPSDIR)/ex_seminar.eps $(EPSDIR)/ex_barchart1.eps $(EPSDIR)/ex_barchart2.eps $(EPSDIR)/ex_funcsplice1.eps $(EPSDIR)/ex_funcsplice2.eps $(EPSDIR)/ex_map.eps $(EPSDIR)/ex_linestyles.eps
 
 all: $(EPSFILES) pyxplot.pdf
 
 clean:
 	rm -Rf $(EPSDIR)
-	rm -f pyxplot.pdf pyxplot.ps pyxplot.dvi pyxplot.aux pyxplot.idx pyxplot.ilg pyxplot.ind pyxplot.log pyxplot.toc
+	rm -f pyxplot.pdf pyxplot.ps pyxplot.dvi *.aux *.idx *.ilg *.ind *.log *.toc
 	rm -Rf html
 
 $(EPSDIR)/%.eps: $(EXAMPLEDIR)/%.ppl
@@ -45,10 +45,10 @@
 	echo "Making postscript documentation..."
 	dvips -Pcmz -Pamz $< -o $@ > /dev/null 2> /dev/null
 
-%.dvi: %.tex
+pyxplot.dvi: changelog.tex colours.tex configuration.tex definitions.tex externals.tex first_steps.tex fit_maths.tex introduction.tex numerics.tex other_apps.tex plotting.tex pyxplot.tex reference.tex vector_graphics.tex
 	echo "Compiling documentation..."
-	latex $< > /dev/null 2> /dev/null
-	latex $< > /dev/null 2> /dev/null
-	latex $< > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
 	makeindex pyxplot.idx > /dev/null 2> /dev/null
-	latex $< > /dev/null 2> /dev/null
+	latex pyxplot.tex > /dev/null 2> /dev/null
