=== debian/changelog ===
pyxplot (0.8.1-1) unstable; urgency=low

  * New upstream release (rewrite in C).
  * Rewrite in C removes python string exceptions problems (Closes: #585345).
  * Update packaging to new release.
  * Split off pyxplot-doc package containing the HTML and PDF documentation;
    Conflict+Replace older versions of the package.
  * Drop gv-wrapper now that upstream has built this functionality into pyxplot.
  * Drop patches for PyX since it is no longer used by pyxplot.
  * Drop makefile-destdir.patch (incorporated upstream).
  * Drop makefile-usrshareman.patch (incorporated upstream).
  * Drop plastex-icons.patch (incorporated upstream).
  * Depend on texlive-latex-extra as upgreek.sty is unconditionally included
    in the latex template.
  * Update watch file now that repackaging the upstream source is not needed.
  * Drop repackaging scripts.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Mon, 14 Jun 2010 23:30:14 +0100

pyxplot (0.7.1+1-2) unstable; urgency=low

  * Change build-dep to use libmagickcore-extra as part of the imagemagick
    transition (Closes: #573972, #574308).
  * Bump standards version to 3.8.4 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 17 Mar 2010 18:55:42 +0000

pyxplot (0.7.1+1-1) unstable; urgency=low

  * New upstream release
  * Use Debian package for PyX not the pyxplot-modified version.
  * Drop manpage_syntax.patch as it is applied upstream.
  * Add build-depends on libmagickcore2-extra since imagemagick has reorganised
    the plugin packages (closes: #560651).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 12 Dec 2009 00:48:45 +0000

pyxplot (0.7.0+1-1) unstable; urgency=low

  * New maintainer. Thanks to Sam Morris for his previous work.
  * New upstream release (closes: #547962).
  * Replace obsolete dependencies on gs-* packages (closes: #534900).
  * Depend on texlive-latex-base to ensure that latex is installed
    (closes: #497918).
  * Move gv to recommends and use a wrapper to find other postscript viewers
    and allow user configuration of this (closes: #492804).
  * Move python-scipy to a Recommends as it is possible to use pyxplot without
    this package installed (closes: #478834).
  * Document recommended packages and the functionality they provide in
    README.Debian.
  * Add menu entry, icons and mime-type assosciation for pyxplot files.
  * Change build system to dh7+quilt.
  * Bump standards version to 3.8.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 13 Oct 2009 15:11:08 +0100

pyxplot (0.6.3.1+ds-3) unstable; urgency=low

  * Add Homepage to control fields.
  * Add a copyright notice for Debian packaging to debian/copyright.

 -- Sam Morris <sam@robots.org.uk>  Sun, 04 Nov 2007 10:10:05 +0000

pyxplot (0.6.3.1+ds-2) UNRELEASED; urgency=low

  * Fix copyright file; it now mentions how we turn upstream's source archive
    into the one used for this package.
  * Make the new-upstream script easier to call manually, as opposed to
    automatically from uscan(1): if the --upstream_version argument is not
    specified on the command line, don't run uupdate(1) after repacking the
    upstream tarball.

 -- Sam Morris <sam@robots.org.uk>  Sat, 15 Sep 2007 18:24:00 +0100

pyxplot (0.6.3.1+ds-1) UNRELEASED; urgency=low

  * Repack upstream tarball to remove contained PyX tarball and HTML
    documentation.
    + 200_build-docs-verbose.patch: don't try to unpack PyX's tarball and
      install it along with PyXPlot.
    + No longer any need to build-depend on imagemagick.
    + No longer any need to specify DEB_TARBALL in rules file.
  * Introduce debian/new-upstream which does this for us automatically for
    a new usptream release; call this script from the watch file.

 -- Sam Morris <sam@robots.org.uk>  Sat, 15 Sep 2007 00:24:45 +0100

pyxplot (0.6.3.1-2) UNRELEASED; urgency=low

  * Rename debian/README to debian/README.Debian.
  * Tighten strictness of dependency on python-pyx (as advised by upstream)
    since PyX's API changes break PyXPlot with every new release.
  * Build the documentation in HTML format; also build-depend on
    python-plastex.
  * Now that the HTML documentation is built, there is no longer any need to
    prevent its removal during clean; therefore express the remaining changes
    to doc/Makefile in the form of 200_build-docs-verbose.patch.
  * Add a debian/watch file.

 -- Sam Morris <sam@robots.org.uk>  Sun, 19 Aug 2007 03:26:26 +0100

pyxplot (0.6.3.1-1) UNRELEASED; urgency=low

  * Not a new upstream release... I just didn't notice that the previous
    version was really 0.6.3.1.
  * No longer use tarball-in-a-tarball build system.
  * Set DEB_TARBALL to empty value in rules file so that cdbs does not
    create PyX-0.9.tar.gz.cdbs-config_list.
  * Drop build-dependency on obsolete tetex-bin.
  * Patch doc/Makefile directly in the Debian source patch to prevent HTML
    documentation from being removed on clean. Also prevent LaTeX's output
    from being sent to /dev/null.
  * Install shipped documentation in HTML format, and register it with
    doc-base.
  * Register PDF documentation with doc-base.
  * Build-depend on textlive-latex-recommended and textlive-fonts-recommended
    so that the documentation will build.
  * Build-depend on python-pyx (since it's used directly by pyxplot).
    Currently I think at build-time the pyx module shipped inside the pyxplot
    sources is used... if I later remove this then I'll need Debian's package
    of pyx to be installed.

 -- Sam Morris <sam@robots.org.uk>  Wed, 16 May 2007 23:25:02 +0100

pyxplot (0.6.3-2) UNRELEASED; urgency=low

  * Invoke gv(1) correctly (the - character in '-watch' was ommitted).
  * No need to remove build-stamp in clean, it was cruft from an earlier
    version of the package.

 -- Sam Morris <sam@robots.org.uk>  Wed, 16 May 2007 21:12:48 +0100

pyxplot (0.6.3-1) UNRELEASED; urgency=low


