=== debian/control ===
Source: pyxplot
Maintainer: Stuart Prescott <stuart+debian@nanonanonano.net>
Priority: optional
Section: math
Build-Depends: debhelper (>= 7.3.5),
                fftw3-dev,
                libcfitsio3-dev,
                libgsl0-dev,
                libkpathsea-dev,
                libpng12-dev,
                libreadline-dev,
                libxml2-dev,
                zlib1g-dev,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-fonts-extra,
                texlive-pstricks,
                python,
                python-plastex,
                ghostscript,
                wget,
                imagemagick,
                libmagickcore-extra
Standards-Version: 3.8.4
Homepage: http://www.pyxplot.org.uk/

Package: pyxplot
Architecture: any
Depends: texlive-latex-base,
         texlive-latex-extra,
          ${misc:Depends},
          ${shlibs:Depends}
Recommends: gv | postscript-viewer,
            imagemagick,
            pyxplot-doc
Suggests: wget,
          unzip
Description: data plotting program producing publication-quality output
 PyXPlot is a command-line graphing/plotting package with a simple interface
 resembling that of Gnuplot.
 .
 PyXPlot aims to improve significantly upon the quality of Gnuplot's output,
 producing publication-quality figures. To this end, text is rendered with all
 of the beauty and flexibility of the LaTeX typesetting environment.
 .
 Extensive documentation and examples can be found in the pyxplot-doc package.
 A gallery of sample plots is available from the project's web site.


Package: pyxplot-doc
Architecture: all
Section: doc
Depends: pyxplot,
          ${misc:Depends}
Recommends: pdf-viewer,
            www-browser
Conflicts: pyxplot (<< 0.8)
Replaces: pyxplot (<< 0.8)
Description: documentation for pyxplot data plotting program
 PyXPlot is a command-line graphing/plotting package with a simple interface
 resembling that of Gnuplot.
 .
 PyXPlot aims to improve significantly upon the quality of Gnuplot's output,
 producing publication-quality figures. To this end, text is rendered with all
 of the beauty and flexibility of the LaTeX typesetting environment.
 .
 This package includes extensive documentation and examples. A gallery of
 sample plots is available from the project's web site.
