=== debian/changelog ===
pyxplot (0.8.3-1) unstable; urgency=low

  * New upstream (bugfix) release
  * Add additional copyright holders to debian/copyright
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 03 Oct 2010 13:04:39 +0100

pyxplot (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - pyxplot now works on big-endian architectures too (Closes: #591538).
  * Drop gv-not-found.patch (incorporated upstream).
  * Bump standards version to 3.9.1 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 07 Aug 2010 18:33:29 +0100

pyxplot (0.8.1-2) unstable; urgency=low

  * Fix configure script to correctly handle the case where ghostview is not
    installed at configure time.
  * Force use of ghostview even though not installed at configure time
    (Closes: #589696).
  * Use Breaks rather than Conflicts as per §7.6 of policy version 3.9.0.
  * Bump standards version to 3.9.0.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 20 Jul 2010 12:44:04 +0100
