=== debian/control ===
--- 
+++ 
@@ -22,8 +22,9 @@
                 wget,
                 imagemagick,
                 libmagickcore-extra
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.pyxplot.org.uk/
+DM-Upload-Allowed: yes
 
 Package: pyxplot
 Architecture: any
@@ -55,7 +56,7 @@
           ${misc:Depends}
 Recommends: pdf-viewer,
             www-browser
-Conflicts: pyxplot (<< 0.8)
+Breaks: pyxplot (<< 0.8)
 Replaces: pyxplot (<< 0.8)
 Description: documentation for pyxplot data plotting program
  PyXPlot is a command-line graphing/plotting package with a simple interface
