=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	rm -f Makefile pyxplot.1 pyxplot_watch.1
 
 override_dh_auto_build:
+	sed -i 's,^GV_COMMAND=/bin/false,GV_COMMAND=/usr/bin/gv\nGV_OPT=--,' Makefile
 	make USRDIR=/usr
 
 override_dh_auto_install: doc
