=== debian/changelog ===
pyxplot (0.8.4-5) unstable; urgency=low

  * Don't unconditionally build documentation but use some of the examples to
    test the package; thanks to Mehdi Dogguy and Jakub Wilk. (Closes: #655868)

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 26 Jan 2012 23:45:15 +0000

pyxplot (0.8.4-4) unstable; urgency=low

  * Add build dependency on libncurses-dev for recent readline changes.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 19 Oct 2011 23:57:48 +0100

pyxplot (0.8.4-3) unstable; urgency=low

  * Set $HOME to a writable location to allow latex to find fonts.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 18 May 2011 01:12:45 +0100

pyxplot (0.8.4-2) unstable; urgency=low

  * Don't divert latex and pyxplot output during build process.
  * Stop scanning documentation for symlinks since plastex no longer generates
    broken symlinks in the documentation tree.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 15 May 2011 17:44:52 +0100

pyxplot (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright DEP-5 format.
  * Bump standards version to 3.9.2 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 07 May 2011 12:54:49 +0100
