=== debian/control ===
--- 
+++ 
@@ -9,20 +9,23 @@
                 libkpathsea-dev,
                 libpng12-dev,
                 libreadline-dev,
+                libncurses-dev,
                 libxml2-dev,
                 zlib1g-dev,
+                python,
+                wget,
+                ghostscript,
+                texlive-latex-base,
                 texlive-latex-extra,
+                imagemagick,
+                libmagickcore-extra
+Build-Depends-Indep:
                 texlive-latex-recommended,
                 texlive-fonts-recommended,
                 texlive-fonts-extra,
                 texlive-pstricks,
-                python,
                 python-plastex,
-                ghostscript,
-                wget,
-                imagemagick,
-                libmagickcore-extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.pyxplot.org.uk/
 DM-Upload-Allowed: yes
