=== debian/changelog ===
pyxplot (0.9.2-15) unstable; urgency=medium

  * Turn off compiler optimisation with GCC-15 to prevent FTBFS
    (Closes: #1097683).
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Sep 2025 04:23:05 +1000

pyxplot (0.9.2-14) unstable; urgency=medium

  * Fix FTBFS with texlive 2023 patching input .tex for index links in the
    documentation (Closes: #1052923).

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Oct 2023 17:17:24 +1100

pyxplot (0.9.2-13) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Build depend on libfftw3-dev, fftw3-dev no longer provided, with thanks to
    Bas Couwenberg <sebastic@debian.org> for the patch (Closes: #1025315).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Stuart Prescott ]
  * Update Standards-Version to 4.6.1 (no changes required).
  * Add lots of lintian overrides to improve the signal:noise.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Dec 2022 22:00:26 +1100

pyxplot (0.9.2-12) unstable; urgency=medium

  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to debhelper-compat (= 13).
  * Force latex to obey SOURCE_DATE_EPOCH with FORCE_SOURCE_DATE.
  * Stop using upstream configure script to prevent failures with usrmerge.
  * Drop HTML documentation as it doesn't build correctly any more.
  * Avoid unwanted build of ex_pichart*.pdf in the examples.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Dec 2020 18:42:15 +1100

pyxplot (0.9.2-11) unstable; urgency=medium

  * Add patch to ignore new DVI specials rather than generating lots of
    warnings (Closes: #951365).

 -- Stuart Prescott <stuart@debian.org>  Wed, 19 Feb 2020 21:26:27 +1100

pyxplot (0.9.2-10) unstable; urgency=medium

  * Update Standards-Version to 4.5.0 (no changes required).
  * Switch to using pkg-config for libxml2 rather than xml2-config"
    (Closes: #949487).

 -- Stuart Prescott <stuart@debian.org>  Fri, 24 Jan 2020 11:43:33 +1100

pyxplot (0.9.2-9) unstable; urgency=medium

  * Switch to Python 3 for everything (Closes: #938308).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Add Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sun, 01 Dec 2019 15:48:05 +1100

pyxplot (0.9.2-8) unstable; urgency=medium

  * use existing doc directory for build-time tests.

 -- Stuart Prescott <stuart@debian.org>  Sun, 24 Feb 2019 23:55:26 +1100

pyxplot (0.9.2-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Use https protocol in Format field

  [ Stuart Prescott ]
  * Add eps-creation-date-source-date-epoch.patch to set creation times
    based on SOURCE_DATE_EPOCH.
  * Enable additional hardening options for compiler.
  * Update to debhelper-compat (=11).
  * Update documentation paths for debhelper 11.
  * Regenerate plastex-compliant tex file.
  * Require a plastex that can correctly import PIL.
  * Change Vcs-* URLs to salsa.debian.org.
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jan 2019 02:10:23 +1100

pyxplot (0.9.2-6) unstable; urgency=medium

  * Remove /usr/share/doc/pyxplot symlink so that pyxplot-doc no longer needs
    to depend on pyxplot (Closes: #807124).
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg for the patch (Closes: #807223).

 -- Stuart Prescott <stuart@debian.org>  Mon, 07 Dec 2015 03:42:36 +1100

pyxplot (0.9.2-5) unstable; urgency=medium

  * Stop using imagemagick at build time to get away from imagemagick
    transitions (Closes: #761554, #761726).
  * Build-depend on libcfitsio-dev instead of libcfitsio3-dev (Closes: #761717).
  * Bump standards version to 3.9.6 (no changes required).
  * Override lintian warning package-contains-timestamped-gzip about files
    that are in the source package.
  * Add autopkgtest test suite.

 -- Stuart Prescott <stuart@debian.org>  Thu, 18 Sep 2014 00:51:40 +1000

pyxplot (0.9.2-4) unstable; urgency=low

  * Bump standards version to 3.9.4 (no changes required).
  * Move test target into Makefile to simplify debian/rules.
  * Package ready for upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Wed, 15 May 2013 01:26:07 +1000

pyxplot (0.9.2-3) experimental; urgency=low

  * Make test output unbuffered and don't run really slow tests to prevent
    buildd timeout.

 -- Stuart Prescott <stuart@debian.org>  Tue, 18 Dec 2012 00:15:48 +0000

pyxplot (0.9.2-2) experimental; urgency=low

  * Move texlive-fonts-recommended to Build-Depends since it is now needed by
    the test suite.

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Dec 2012 17:54:06 +0000

pyxplot (0.9.2-1) experimental; urgency=low

  * New upstream release
  * Drop patches build-hardening.patch, doc-build-redirection.patch
    separate-build-docs.patch, test-some-examples.patch applied upstream.
  * Drop cherry-picked upstream-svn-20120808.patch

 -- Stuart Prescott <stuart@debian.org>  Sat, 15 Dec 2012 16:04:14 +0000

pyxplot (0.9.0-2) experimental; urgency=low

  * Fix doc/Makefile for testing using examples.

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Aug 2012 00:41:16 +0100

pyxplot (0.9.0-1) experimental; urgency=low

  * New upstream release
  * Build-Depend on libpng-dev rather than libpng12-dev for libpng transition
    (Closes: #662480).
  * Update format URL in debian/copyright.
  * Bump standards version to 3.9.3 (no changes required).
  * Use debhelper 9 and enable hardening flags.

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Aug 2012 23:14:08 +0100
