=== debian/control ===
Source: pyxplot
Maintainer: Stuart Prescott <stuart@debian.org>
Priority: optional
Section: math
Build-Depends:
 debhelper-compat (= 13),
 libfftw3-dev,
 ghostscript,
 imagemagick,
 libcfitsio-dev,
 libgsl-dev,
 libkpathsea-dev,
 libncurses-dev,
 libpng-dev,
 libreadline-dev,
 libxml2-dev,
 pkgconf,
 python3,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 wget,
 zlib1g-dev
Build-Depends-Indep:
 texlive-fonts-extra,
 texlive-latex-recommended,
 texlive-pstricks
Standards-Version: 4.7.2
Homepage: http://www.pyxplot.org.uk/
Vcs-Browser: https://salsa.debian.org/debian/pyxplot
Vcs-Git: https://salsa.debian.org/debian/pyxplot.git
Rules-Requires-Root: no

Package: pyxplot
Architecture: any
Depends:
 texlive-latex-base,
 texlive-latex-extra,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 gv | postscript-viewer,
 imagemagick,
 pyxplot-doc,
 sensible-utils,
Suggests:
 unzip,
 wget
Description: data plotting program producing publication-quality output
 Pyxplot is a multi-purpose graph plotting tool, scientific scripting language,
 vector graphics suite, and data processing package. Its interface is designed
 to make common tasks -- e.g., plotting labelled graphs of data -- accessible
 via short, simple, intuitive commands.
 .
 Pyxplot produces publication-quality figures. To this end, text is rendered
 with all of the beauty and flexibility of the LaTeX typesetting environment.
 .
 Extensive documentation and examples can be found in the pyxplot-doc package.
 A gallery of sample plots is available from the project's web site.

Package: pyxplot-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 pdf-viewer,
 www-browser
Description: documentation for pyxplot data plotting program
 Pyxplot is a multi-purpose graph plotting tool, scientific scripting language,
 vector graphics suite, and data processing package. Its interface is designed
 to make common tasks -- e.g., plotting labelled graphs of data -- accessible
 via short, simple, intuitive commands.
 .
 Pyxplot produces publication-quality figures. To this end, text is rendered
 with all of the beauty and flexibility of the LaTeX typesetting environment.
 .
 This package includes extensive documentation and examples. A gallery of
 sample plots is available from the project's web site.
