=== debian/rules ===
#!/usr/bin/make -f


# Enable additional hardening options for the binaries
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Optimisation in gcc-15 leading to FTBFS - see #1097683
export DEB_CFLAGS_MAINT_APPEND = -O0

# Force latex to obey SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE = 1

%:
	dh $@

build-doc: build-stamp
	cp debian/icons/tick.png debian/icons/cross.png doc/
	+$(MAKE) -C doc
	# clean up auto-generated tex output
	rm -rf doc/examples/tex
	rm doc/examples/eps/timestamp

override_dh_clean:
	dh_clean
	$(MAKE) -C doc clean
	rm -rf doc/examples/tex

override_dh_auto_configure:
	# Upstream's configure gets confused so hard-code its output
	cat debian/Makefile.header Makefile.skel > Makefile

override_dh_auto_build-arch: build-stamp

build-stamp:
	+$(MAKE) USRDIR=/usr
	touch build-stamp

override_dh_auto_build-indep: build-doc

override_dh_auto_install-arch:
	+$(MAKE) install USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp
	sh debian/icons/mkicons install $(CURDIR)/debian/pyxplot

override_dh_auto_install-indep:
	+$(MAKE) install-doc USRDIR=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress:
	dh_compress --all -X.pdf


# These two targets are for the maintainer to refresh icons if needed
build-icons:
	sh debian/icons/mkicons convert

build-doc-icons:
	convert -background none doc/tick.svg debian/icons/tick.png
	convert -background none doc/cross.svg debian/icons/cross.png

.PHONY: build-doc build-icons build-doc-icons
