=== debian/tests/control ===
Tests: pyxplot
Depends: pyxplot,
    ghostscript,
    python3,
    texlive-fonts-recommended
