=== debian/watch ===
version=4
http://www.pyxplot.org.uk/src/ pyxplot_(\S+).tar.gz
